  <TR><TD align="center" valign="middle" class="smalltxt">
<%
  if(totalIndexes == void) { out.print("$text.page |<span class=\"current\"> 1 </span>|"); return; }
  int i, maxPages = 20;
  int start = (indexNum/maxPages)*maxPages - 1;
  if (start < 0) { start = 0; maxPages--; out.print("$text.page "); }
  else { out.print("<a href=\"" + firstIndexPage + "\" title=\"$text.firstPage\">&laquo;</a> | <a href=\"" + engine.getIndexPageName() + start + engine.getPageExtension() + "\" title=\"$text.previousPage\">&lt; </a>"); }
  out.print("|");
  for(i=start+1; i<=totalIndexes && i<=(start+maxPages); i++) {
    if(i == indexNum) out.print("<span class=\"current\"> " + i + " </span>|");  // Emphasize current index page
    else out.print("<a href=\"" + engine.getIndexPageName() + (i==1?"":i) + engine.getPageExtension() + "\"> " + i + " </a>|");
  }
  if(totalIndexes >= (start + maxPages))
    out.print("<a href=\"" + engine.getIndexPageName() + i + engine.getPageExtension() + "\" title=\"$text.nextPage\"> &gt;</a> | <a href=\"" + lastIndexPage + "\" title=\"$text.lastPage\">&raquo;</a>");
%>
  </TD></TR>